How can I find my Apple Developer Team id and Team Agent Apple ID?

Ios

Ios Problem Overview


I am trying to transfer an app. I am having troubles finding my team agent apple id and my team id. I have found it before and I have searched for 30 min without any luck now that i need it.

The person trying to transfer the app to me gets to view in this image and I don't know where to find this info.

The person trying to transfer the app to me gets to this view and I don't know where to find this info.

Ios Solutions


Solution 1 - Ios

You can find your team id here:

https://developer.apple.com/account/#/membership

This will get you to your Membership Details, just scroll down to Team ID

Solution 2 - Ios

If you're on OSX you can also find it your keychain. Your developer and distribution certificates have your Team ID in them.

Applications -> Utilities -> Keychain Access.

Under the 'login' Keychain, go into the 'Certificates' category.

Scroll to find your development or distribution certificate. They will read:

iPhone Distribution: Team Name (certificate id)

or

iPhone Developer: Team Name (certificate id)

Simply double-click on the item, and the

"Organizational Unit"

is the "Team ID"

enter image description here

Note that this is the only way to find your

"Personal team" ID

You can not find the "Personal team" ID on the Apple web interface.

For example, if you are automating a build from say Unity, during development you'll want it to appear in Xcode as your "Personal team" - this is the only way to get that value.

Solution 3 - Ios

Solution 4 - Ios

Apple has changed the interface.

The team ID could be found via this link: https://developer.apple.com/account/#/membership

Solution 5 - Ios

For personal teams

grep DEVELOPMENT_TEAM MyProject.xcodeproj/project.pbxproj

should give you the team ID

DEVELOPMENT_TEAM = ZU88ND8437;

Solution 6 - Ios

There are ways you can check even if you are not a paid user. You can confirm TeamID from Xcode. [Build setting] Displayed on tooltip of development team.

Solution 7 - Ios

I wanted to get this from the command line (Terminal) so I came up with this bash script

Link to gist

#!/usr/bin/env bash

#requires openssl@3 from Homebrew
_openssl=$(brew --prefix openssl 2>/dev/null)/bin/openssl
[[ -x $_openssl ]] || { echo "missing openssl, try \`brew install openssl\`"; exit 1; }

#find development cert
id=$(security find-identity -v -p codesigning | head -1)
[[ -n $id ]] || exit 1
cn=$(sed -En 's/^.*Apple Development.*\((.*)\).*$/\1/p' <<<"$id")
sha1=$(sed -En 's/^.*([A-F0-9]{40}).*$/\1/p' <<<"$id")
[[ -n $cn && -n $sha1 ]] || { echo "could not find valid development cert"; exit 1; }

#make temp dir
outdir=$(mktemp -d /private/tmp/teamid.XXXXXX)
[[ -n $outdir ]] || { echo "error creating temp dir"; exit 1; }

#export cert
if ! security find-certificate -c "$cn" -Z -p >"${outdir}/${cn}.pem"; then
  echo "error exporting cert from Keychain"
  exit 1
fi

#check for hash match
certhash=$(awk -F: '/SHA-1 hash:/{sub(" ","",$2); print $2}' "${outdir}/${cn}.pem")
[[ "$certhash" == "$sha1" ]] || { echo "hash mismatch!"; exit 1; }

#output DEVELOPMENT_TEAM
$_openssl x509 -in "${outdir}/${cn}.pem" -subject -noout |
sed -En 's/.*OU = ([^,]+),.*$/\1/p'

#cleanup
rm -r "${outdir:?}"

Attributions

All content for this solution is sourced from the original question on Stackoverflow.

The content on this page is licensed under the Attribution-ShareAlike 4.0 International (CC BY-SA 4.0) license.

Content TypeOriginal AuthorOriginal Content on Stackoverflow
QuestionSirRupertIIIView Question on Stackoverflow
Solution 1 - IosGrzegorz KrukowskiView Answer on Stackoverflow
Solution 2 - IosBrad LinardView Answer on Stackoverflow
Solution 3 - IospshahView Answer on Stackoverflow
Solution 4 - IosChurixView Answer on Stackoverflow
Solution 5 - Ios马海艇View Answer on Stackoverflow
Solution 6 - IosMasashi KajimotoView Answer on Stackoverflow
Solution 7 - Iosluckman212View Answer on Stackoverflow